Bug 491533 - mpich2 : Conflicts with mpd
mpich2 : Conflicts with mpd
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mpich2 (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-22 15:01 EDT by Michael Schwendt
Modified: 2010-03-23 06:21 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.2.1p1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-23 06:21:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2009-03-22 15:01:47 EDT
=> mpich2-1.0.8-3.fc11.src.rpm
=> mpich2-1.0.8-3.fc11.i586 in rawhide-development-i386
  File conflict with: mpd-0.14.2-1.fc11.i386
     /usr/bin/mpd
Comment 1 Michael Schwendt 2009-05-08 08:57:51 EDT
*ping*
Comment 2 Deji Akingunola 2009-05-08 09:06:32 EDT
It's being handled upstream, https://trac.mcs.anl.gov/projects/mpich2/ticket/165 .
Comment 3 Bug Zapper 2009-06-09 08:29:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Susi Lehtola 2009-10-17 04:56:35 EDT
Fixing bug #519698 will also fix this one.
Comment 5 Susi Lehtola 2010-02-08 02:34:57 EST
So MPICH2 mpd is not going to be renamed by upstream.
Comment 6 Michael Schwendt 2010-02-08 05:25:09 EST
https://fedoraproject.org/wiki/Packaging:Conflicts

Then please work towards adding proper "Conflicts:" tags as implicit conflicts are not acceptable.
Comment 7 Susi Lehtola 2010-02-08 05:49:36 EST
Ref. bug #559017, if you just adhere to the MPI guidelines and drop the alternatives support (or move it to a subpackage) the conflict is resolved for the majority of users.

Or if you still are against the guidelines, then please file your complaints to the packaging committee ASAP.
Comment 8 Susi Lehtola 2010-03-23 06:21:36 EDT
This seems to have been fixed at least in 1.2.1p1-1.

Note You need to log in before you can comment on or make changes to this bug.